Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common.logging
Class IfsFileHandler

    java.lang.Object
      java.util.logging.Handler
          java.util.logging.StreamHandler
              oracle.ifs.common.logging.IfsFileRotationHandler
                  oracle.ifs.common.logging.IfsFileHandler

    public class IfsFileHandler

extends IfsFileRotationHandler

A Log File Handler, for logging to a rotating set of files.

See Also:
  `IfsFileRotationHandler`
(Published)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.common.logging.IfsFileRotationHandler
`IfsFileRotationHandler.MeteredStream`

Field Summary

Fields inherited from class oracle.ifs.common.logging.IfsFileRotationHandler
`m_CurrentLogFile`

Constructor Summary
`IfsFileHandler(java.lang.String logFilePath, int fileSizeLimit, int maxFiles, long rotationMillis)` Constructs a IfsFileHandler for logging.

Method Summary
`protected void` | `open(java.io.File logFile)` Open the specified file, creating it if it does not exist.

Methods inherited from class oracle.ifs.common.logging.IfsFileRotationHandler
`buildMeteredStream, checkFileRotation, publish, setupRotationLogging, startTimeBasedRotation`

Methods inherited from class java.util.logging.StreamHandler
`close, flush, isLoggable, setEncoding, setOutputStream`

Methods inherited from class java.util.logging.Handler
`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfsFileHandler

    public IfsFileHandler(java.lang.String logFilePath,
                          int fileSizeLimit,
                          int maxFiles,
                          long rotationMillis)
                   throws java.io.IOException

  Constructs a IfsFileHandler for logging.

  Parameters:
    `logFilePath` - a String containing a path to the log file.
    `fileSizeLimit` - an int that contains the maximum file size in bytes for a log file. 0 = no limit.
    `maxFiles` - an in containing the number of log files to rotate though. 1 = no rotation.
    `rotationMillis` - a long containing how often to rotate the log files in millis.
  Throws:
    `java.io.IOException` - if the operation fails

Method Detail

### open

    protected void open(java.io.File logFile)
                 throws java.io.IOException

  Description copied from class: `IfsFileHandler`
  Open the specified file, creating it if it does not exist.

  Specified by:
    `open` in class `IfsFileRotationHandler`
  Parameters:
    `logFile` - the File to open.
  Throws:
    `java.io.IOException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD